<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>MovieController</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MovieController";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/tpepsi/controllers/TvShowController.html" title="class in org.tpepsi.controllers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/tpepsi/controllers/MovieController.html" target="_top">Frames</a></li>
<li><a href="MovieController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.tpepsi.controllers</div>
<h2 title="Class MovieController" class="title">Class MovieController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.tpepsi.controllers.MovieController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@RestController
 @RequestMapping(value="/movie")
public class <span class="typeNameLabel">MovieController</span>
extends java.lang.Object</pre>
<div class="block">Controller REST de l'objet Movie
 <br>
 <a>http://localhost:8080/swagger-ui.html</a></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Julien Tellier</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#MovieController-org.tpepsi.service.ItemService-org.tpepsi.service.ItemService-">MovieController</a></span>(<a href="../../../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a>&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;&nbsp;movieService,
               <a href="../../../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a>&lt;<a href="../../../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a>&gt;&nbsp;tvShowService)</code>
<div class="block">Constructeur du controller pour les films
 <br>
 Pour pouvoir gérer à la fois une liste de Movies et de TVShows, on instancie les deux types de service</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#addMovie-org.tpepsi.data.entity.Movie-">addMovie</a></span>(<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&nbsp;movie)</code>
<div class="block">Mapping pour l'ajout d'un film
 <br>
 Envoi d'un objet Movie (JSON) sur /movie</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#borrowMovie-long-org.tpepsi.data.entity.User-">borrowMovie</a></span>(long&nbsp;movieId,
           <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user)</code>
<div class="block">Emprunt d'un film</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#getMovie-long-">getMovie</a></span>(long&nbsp;movieId)</code>
<div class="block">Trouver un film grâce à son id</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#getMovies--">getMovies</a></span>()</code>
<div class="block">Listing des films</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#returnMovie-long-org.tpepsi.data.entity.User-">returnMovie</a></span>(long&nbsp;movieId,
           <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user)</code>
<div class="block">Retour d'un film</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/controllers/MovieController.html#searchMovies-java.lang.String-">searchMovies</a></span>(java.lang.String&nbsp;searchTerm)</code>
<div class="block">Recherche avec critère d'un film</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MovieController-org.tpepsi.service.ItemService-org.tpepsi.service.ItemService-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MovieController</h4>
<pre>@Autowired
public&nbsp;MovieController(<a href="../../../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a>&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;&nbsp;movieService,
                                  <a href="../../../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a>&lt;<a href="../../../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a>&gt;&nbsp;tvShowService)</pre>
<div class="block">Constructeur du controller pour les films
 <br>
 Pour pouvoir gérer à la fois une liste de Movies et de TVShows, on instancie les deux types de service</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>movieService</code> - </dd>
<dd><code>tvShowService</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addMovie-org.tpepsi.data.entity.Movie-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMovie</h4>
<pre>@RequestMapping(method=POST,
                consumes="application/json")
 @ResponseBody
public&nbsp;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&nbsp;addMovie(@RequestBody
                                                                                                               <a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&nbsp;movie)</pre>
<div class="block">Mapping pour l'ajout d'un film
 <br>
 Envoi d'un objet Movie (JSON) sur /movie</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>movie</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Movie</dd>
</dl>
</li>
</ul>
<a name="getMovies--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMovies</h4>
<pre>@RequestMapping(method=GET)
public&nbsp;java.util.List&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;&nbsp;getMovies()</pre>
<div class="block">Listing des films</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List<Movie></dd>
</dl>
</li>
</ul>
<a name="getMovie-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMovie</h4>
<pre>@RequestMapping(value="/{movieId}",
                method=GET)
public&nbsp;org.springframework.http.ResponseEntity&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;&nbsp;getMovie(@PathVariable(value="movieId")
                                                                                                                               long&nbsp;movieId)</pre>
<div class="block">Trouver un film grâce à son id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>movieId</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseEntity<Movie></dd>
</dl>
</li>
</ul>
<a name="searchMovies-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchMovies</h4>
<pre>@RequestMapping(value="/search/{searchTerm}",
                method=GET)
public&nbsp;org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../../../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a>&gt;&gt;&nbsp;searchMovies(@PathVariable(value="searchTerm")
                                                                                                                                                             java.lang.String&nbsp;searchTerm)</pre>
<div class="block">Recherche avec critère d'un film</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchTerm</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseEntity<List<Movie>></dd>
</dl>
</li>
</ul>
<a name="borrowMovie-long-org.tpepsi.data.entity.User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>borrowMovie</h4>
<pre>@RequestMapping(value="/{movieId}",
                method=POST,
                consumes="application/json")
public&nbsp;org.springframework.http.ResponseEntity&nbsp;borrowMovie(@PathVariable(value="movieId")
                                                                                                                                                                         long&nbsp;movieId,
                                                                                                                                                                         @RequestBody
                                                                                                                                                                         <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user)
                                                                                                                                                                  throws <a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a>,
                                                                                                                                                                         <a href="../../../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></pre>
<div class="block">Emprunt d'un film</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>movieId</code> - </dd>
<dd><code>user</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseEntity</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a></code></dd>
<dd><code><a href="../../../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></code></dd>
</dl>
</li>
</ul>
<a name="returnMovie-long-org.tpepsi.data.entity.User-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>returnMovie</h4>
<pre>@RequestMapping(value="/return/{movieId}",
                method=POST)
public&nbsp;org.springframework.http.ResponseEntity&nbsp;returnMovie(@PathVariable(value="movieId")
                                                                                                                                   long&nbsp;movieId,
                                                                                                                                   @RequestBody
                                                                                                                                   <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user)
                                                                                                                            throws <a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a>,
                                                                                                                                   <a href="../../../org/tpepsi/exceptions/AllItemsAlreadyReturnedException.html" title="class in org.tpepsi.exceptions">AllItemsAlreadyReturnedException</a></pre>
<div class="block">Retour d'un film</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>movieId</code> - </dd>
<dd><code>user</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseEntity</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a></code></dd>
<dd><code><a href="../../../org/tpepsi/exceptions/AllItemsAlreadyReturnedException.html" title="class in org.tpepsi.exceptions">AllItemsAlreadyReturnedException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/tpepsi/controllers/TvShowController.html" title="class in org.tpepsi.controllers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/tpepsi/controllers/MovieController.html" target="_top">Frames</a></li>
<li><a href="MovieController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
